Subject: Home affordable Refinance- lower rates may be available In Your area.

From: "Qualify HARP" <[email-masked]>
Date: Fri, 13 Nov 2015 12:24:48 -0800

Home affordable Refinance- lower rates may be available In Your area.